## mednafen 0.8.D.3

=== src/nes/sound/fir/Makefile ===
CC	= gcc
%.h:	%.coef
	cat $< | ./toh > $@ || true

all:            floogie ntsc.h pal.h

floogie:	toh.o
		gcc -o toh toh.o
