## mednafen 0.8.D

=== debian/changelog ===
mednafen (0.8.D-1) unstable; urgency=low

  * New upstream version.
  * Mention homepage.
  * Update debian/copyright.
  * Register documentation with doc-base.

 -- Stephen Kitt <steve@sk2.org>  Mon, 31 May 2010 06:49:35 +0200

mednafen (0.8.C-1) unstable; urgency=low

  * New maintainer (closes: #510531).
  * New upstream version (closes: #506462):
    - 10-gcc4.4-const-char.patch: removed, merged upstream.
  * Standards-Version 3.8.4, no change required.
  * Provide nes-emulator (closes: #485974).

 -- Stephen Kitt <steve@sk2.org>  Thu, 04 Feb 2010 14:50:12 +0100

mednafen (0.8.9-1.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
  * Update to packaging format "3.0 (quilt)" due to patch.
  * debian/patches
    - (number 10): Add patch to fix GCC 4.4
      invalid conversion from const char* to char*.
      (RC bug FTBFS serious; Closes: #560474).
  * debian/source/format
     - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 09 Jan 2010 21:00:28 +0200

mednafen (0.8.9-1) unstable; urgency=low

  * New upstream version.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Mon, 09 Jun 2008 16:38:25 -0400

mednafen (0.8.8-1) unstable; urgency=low

  * New upstream version.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Thu, 03 Apr 2008 10:43:51 -0400

mednafen (0.8.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Explicitly include required headers to fix FTBFS with gcc-4.3.  (Closes:
    #417446)

 -- James Vega <jamessan@debian.org>  Sun, 09 Mar 2008 17:10:00 -0400

mednafen (0.8.7-1) unstable; urgency=low

  * New upstream version. 

 -- Ryan Schultz <schultz.ryan@gmail.com>  Sun, 06 Jan 2008 11:58:07 -0500

mednafen (0.8.6-1) unstable; urgency=low

  * New upstream version.
  * Closes: #417446. Upstream fixed this in a different way than the patch.
  * Update Debian packaging to compat = 5.
  * Update x-dev depend to x11proto-core-dev.
  * Add copyright information for galois.
  * Add copyright information for Debian packaging.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Fri, 04 Jan 2008 14:48:16 -0500

mednafen (0.8.5-1) unstable; urgency=low

  * New upstream version. 
  * Closes: #449877. Patch from Raphael Geissert <atomo64@gmail.com>.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Sun, 16 Dec 2007 18:50:43 -0500

mednafen (0.8.4-rc3-1) unstable; urgency=low

  * New upstream version.
  * Closes: #447551

 -- Ryan Schultz <schultz.ryan@gmail.com>  Mon, 22 Oct 2007 22:27:12 -0400

mednafen (0.8.1-1) unstable; urgency=low

  * New upstream version.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Mon, 22 Oct 2007 22:26:23 -0400

mednafen (0.7.2-1) unstable; urgency=low

  * New upstream version. 

 -- Ryan Schultz <schultz.ryan@gmail.com>  Thu, 22 Feb 2007 16:45:25 -0500

mednafen (0.7.1-1) unstable; urgency=low

  * New upstream release. 

 -- Ryan Schultz <schultz.ryan@gmail.com>  Sun, 24 Dec 2006 13:19:55 -0500

mednafen (0.7.0-1) unstable; urgency=low

  * New upstream version.
  * Updated copyright.
  * Added build rules for ALSA on *BSDs.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Sat, 23 Dec 2006 12:34:18 -0500

mednafen (0.6.5-1) unstable; urgency=low

  * New upstream version. Closes: #385807

 -- Ryan Schultz <schultz.ryan@gmail.com>  Wed,  6 Sep 2006 21:04:34 -0400

mednafen (0.6.4-1) unstable; urgency=low

  * New upstream version.
  * Update copyrights.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Mon, 28 Aug 2006 13:32:02 -0400

mednafen (0.6.3-1) unstable; urgency=low

  * New upstream version. 

 -- Ryan Schultz <schultz.ryan@gmail.com>  Thu, 10 Aug 2006 14:45:16 -0400

mednafen (0.6.2-1) unstable; urgency=low

  * New upstream version. 

 -- Ryan Schultz <schultz.ryan@gmail.com>  Wed, 21 Jun 2006 16:26:18 -0400

mednafen (0.6.1-1) unstable; urgency=low

  * New upstream version. 

 -- Ryan Schultz <schultz.ryan@gmail.com>  Thu,  1 Jun 2006 20:48:48 -0400

mednafen (0.6.0-1) unstable; urgency=low

  * New upstream version.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Tue, 16 May 2006 13:06:32 -0400

mednafen (0.5.2-1) unstable; urgency=low

  * New upstream version. Closes: #351586

 -- Ryan Schultz <schultz.ryan@gmail.com>  Tue, 16 May 2006 13:06:27 -0400

mednafen (0.4.7-1) unstable; urgency=low

  * New upstream version. Closes: #349845
  * Add Trio copyright info.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Thu,  2 Feb 2006 14:24:53 -0500

mednafen (0.4.5-1) unstable; urgency=low

  * New upstream version. Closes: #349633
  * Remove JACK and ESD dependencies.
  * Update description.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Tue, 24 Jan 2006 18:01:01 -0500

mednafen (0.4.4-1) unstable; urgency=low

  * New upstream version.
  * Add debian/watch file.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Sun, 22 Jan 2006 21:43:34 -0500

mednafen (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * Fix some small packaging issues.
  * Expand debian/copyright file.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Thu, 29 Dec 2005 17:43:00 -0500

mednafen (0.4.0-1) unstable; urgency=low

  * New upstream release. 

 -- Ryan Schultz <schultz.ryan@gmail.com>  Fri, 16 Dec 2005 15:10:58 -0500

mednafen (0.3.7-1) unstable; urgency=low

  * Initial release Closes: #340378
  * Upstream source repackaged to remove CVS dirs

 -- Ryan Schultz <schultz.ryan@gmail.com>  Tue, 22 Nov 2005 22:48:43 -0500
