## mednafen 0.8.D.3

=== debian/changelog ===
mednafen (0.8.D.3-6) unstable; urgency=low

  * Build using the provided libvorbisidec source; mednafen doesn't work
    correctly with the version currently in Debian (closes: #699143).

 -- Stephen Kitt <steve@sk2.org>  Tue, 29 Jan 2013 23:40:10 +0100

mednafen (0.8.D.3-5) unstable; urgency=low

  * Use ${source:Package} with dpkg-query to retrieve only the package
    name in the Built-Using field (closes: #677867).
  * Drop unused GPL-2 license paragraph from debian/copyright.
  * Fix configure.ac to ensure dpkg-buildflags' CPPFLAGS make it all the
    way through the build.

 -- Stephen Kitt <steve@sk2.org>  Mon, 18 Jun 2012 01:01:20 +0200

mednafen (0.8.D.3-4) unstable; urgency=low

  * Update debian/watch to track stable releases only.
  * Pull in relevant changes from the experimental package:
    - wrap-and-sort debian/control
    - add a Built-Using relationship to the package from which MiniLZO is
      copied
    - build using libvorbisidec-dev rather than the provided tremor source
    - switch to DEP-5 format for debian/copyright
    - add cheats.txt to the shipped documentation
    - build with dh-autoreconf
    - use debian/gbp.conf to enforce pristine-tar use
    - add README.source describing the source code replacements

 -- Stephen Kitt <steve@sk2.org>  Wed, 16 May 2012 22:50:02 +0200

mednafen (0.8.D.3-3) unstable; urgency=low

  * Build with zlib 1.2.6 and later (patch by Michał Ziąbkowski, adapted
    by Steven Chamberlain; closes: #661657).
  * Build-depend on debhelper 9.
  * Standards-Version 3.9.3, no change required.

 -- Stephen Kitt <steve@sk2.org>  Wed, 29 Feb 2012 23:28:31 +0100

mednafen (0.8.D.3-2) unstable; urgency=low

  [ Stephen Kitt ]
  * Fix "debian/control uses hardcoded list of non-Linux architectures" -
    qualify libasound2-dev dependency using [linux-any] instead of
    [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] (closes: #634461).
  * Install .desktop file allowing file association, with known
    supported MIME types, as suggested by Damian Yarrick (LP: #886912;
    helps with #635538).
  * Simplify rules using dh 9 and enable hardening.
  * Build-conflict with autoconf2.13 which causes the build to fail.
  * Standards-Version 3.9.2, no change required beyond the above.

  [ Piotr Ożarowski ]
  * Set DM-Upload-Allowed flag to yes

 -- Stephen Kitt <steve@sk2.org>  Tue, 08 Nov 2011 07:20:54 +0100

mednafen (0.8.D.3-1) unstable; urgency=low

  * New upstream version, fixing a significant memory leak.

 -- Stephen Kitt <steve@sk2.org>  Fri, 17 Sep 2010 07:18:16 +0200

mednafen (0.8.D.2-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version 3.9.1, no change required.
  * Add build dependency on libjack-dev.

 -- Stephen Kitt <steve@sk2.org>  Thu, 05 Aug 2010 08:35:19 +0200
