=== debian/control ===
--- 
+++ 
@@ -3,18 +3,35 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <steve@sk2.org>
-Build-Depends: debhelper (>= 5), autotools-dev, x11proto-core-dev, libgl1-mesa-dev | libgl-dev, zlib1g-dev | libz-dev, libsdl1.2-dev, libsamplerate0-dev, libsdl-net1.2-dev, libcdio-dev, libsndfile1-dev | libsndfile-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
-Standards-Version: 3.8.4
+Build-Depends: autotools-dev,
+               debhelper (>= 9),
+               dh-autoreconf,
+               libasound2-dev [linux-any],
+               libcdio-dev,
+               libgl1-mesa-dev | libgl-dev,
+               libjack-dev,
+               liblzo2-dev,
+               libsamplerate0-dev,
+               libsdl-net1.2-dev,
+               libsdl1.2-dev,
+               libsndfile1-dev | libsndfile-dev,
+               libvorbisidec-dev,
+               x11proto-core-dev,
+               zlib1g-dev | libz-dev
+Build-Conflicts: autoconf2.13
+Standards-Version: 3.9.3
 Homepage: http://mednafen.sourceforge.net
 Vcs-Git: git://git.debian.org/git/pkg-games/mednafen.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/mednafen.git
+DM-Upload-Allowed: yes
 
 Package: mednafen
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: nes-emulator
+Built-Using: ${bu:liblzo2}
 Description: multi-platform emulator, including NES, GB/A, Lynx, PC Engine
- Mednafen is a command-line driven emulator for many different systems. It 
+ Mednafen is a command-line driven emulator for many different systems. It
  has full support for OpenGL and SDL graphics, network play, remappable input
  configuration, joystick and keyboard support, save states, game rewinding,
  GSF playback, and screenshots.
