=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Track stable releases only
http://sf.net/mednafen/mednafen-(\d+\.\d*[02468]\..*)\.tar\.bz2
