=== debian/changelog ===
mednafen (0.9.18-1) experimental; urgency=low

  * New upstream WIP version, adding PSX emulation (only on little-endian
    systems).
  * Update copyright information.
  * Refresh use-system-tremor.patch and use dh-autoreconf to handle all
    the autotools reconfiguration involved.
  * Fix "debian/control uses hardcoded list of non-Linux architectures" -
    qualify libasound2-dev dependency using [linux-any] instead of
    [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] (closes: #634461).
  * Install .desktop file allowing file association, with known
    supported MIME types, as suggested by Damian Yarrick (LP: #886912;
    helps with #635538).
  * Simplify rules using dh 9 and enable hardening.
  * Build-conflict with autoconf2.13 which causes the build to fail.
  * Set DM-Upload-Allowed flag, as done by Piotr Ożarowski in 0.8.D.3-2.

 -- Stephen Kitt <steve@sk2.org>  Sat, 12 Nov 2011 01:15:38 +0100

mednafen (0.9.17.1-1) experimental; urgency=low

  * New upstream WIP version (closes: #614263), adding emulators for Sega
    Genesis / Mega Drive, Virtual Boy, and Super Nintendo Entertainment
    System.
  * Use external libvorbisidec instead of the bundled copy.
  * Use external minilzo instead of the bundled copy.
  * Standards-Version 3.9.2, no change required.

 -- Stephen Kitt <steve@sk2.org>  Wed, 13 Apr 2011 22:33:57 +0200
