=== debian/control ===
Source: mednafen
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <steve@sk2.org>
Build-Depends: debhelper (>= 8.1.3), dh-autoreconf, autotools-dev, x11proto-core-dev,
 libgl1-mesa-dev | libgl-dev, zlib1g-dev | libz-dev, libsdl1.2-dev,
 libsamplerate0-dev, libsdl-net1.2-dev, libcdio-dev,
 libsndfile1-dev | libsndfile-dev,
 libasound2-dev [linux-any],
 libjack-dev,
 libvorbisidec-dev,
 liblzo2-dev
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.2
Homepage: http://mednafen.sourceforge.net
Vcs-Git: git://git.debian.org/git/pkg-games/mednafen.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/mednafen.git
DM-Upload-Allowed: yes

Package: mednafen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: nes-emulator
Description: multi-platform emulator, including NES, GB/A, Lynx, PC Engine
 Mednafen is a command-line driven emulator for many different systems. It 
 has full support for OpenGL and SDL graphics, network play, remappable input
 configuration, joystick and keyboard support, save states, game rewinding,
 GSF playback, and screenshots.
 .
 This is the "work in progress" version; in particular, there is no
 guarantee that save states will work from one version to the next.
 .
 The systems supported by Mednafen are:
    * Atari Lynx
    * GameBoy
    * GameBoy Color
    * GameBoy Advance
    * NES
    * SNES
    * Virtual Boy
    * PC Engine (TurboGrafx 16)
    * PC-FX
    * SuperGrafx
    * NeoGeo Pocket, NeoGeo Pocket Color
    * WonderSwan
    * Sega Genesis / Mega Drive
    * Sony PlayStation (experimental)
 .
 Hardware emulated by Mednafen includes:
    * NES gamepad, Zapper, PowerPad
    * Four-Score, Famicom multiplayer adapter
    * Arkanoid, HyperShot, Space Shadow, Mahjong controllers
    * Oeka Kids tablet, Quiz King buzzers, Family Trainer, Barcode World
    * Game Genie
