## mednafen 0.9.19

=== debian/changelog ===
mednafen (0.9.19-2) experimental; urgency=low

  * Build with zlib 1.2.6 and later (patch by Michał Ziąbkowski).
  * Fix interpolation shaders (patch by "Valfar").

 -- Stephen Kitt <steve@sk2.org>  Mon, 20 Feb 2012 06:52:07 +0100

mednafen (0.9.19-1) experimental; urgency=low

  * New upstream WIP version.
  * Update copyright information.
  * Refresh use-system-tremor.patch and remove psx-big-endian-only.patch.
  * Add spelling-fixes.patch based on Lintian's recommendations.
  * Build-depend on debhelper 9 or later and remove corresponding Lintian
    override.

 -- Stephen Kitt <steve@sk2.org>  Tue, 31 Jan 2012 07:21:35 +0100
