=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-liblzo2_source := $(shell dpkg-query -W -f='$${source:Package} (= $${source:Version})' liblzo2-dev)
-
 
 %:
 	dh $@ --with autoreconf
@@ -30,7 +27,4 @@
 	dh_auto_clean
 
 override_dh_auto_configure:
-	dh_auto_configure -- --bindir=/usr/games
-
-override_dh_gencontrol-arch:
-	dh_gencontrol -a -- '-Vbu:liblzo2=$(liblzo2_source)'
+	dh_auto_configure -- --bindir=/usr/games --enable-psx
