=== debian/changelog ===
mednafen (0.9.33.3-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 22 Apr 2014 23:51:55 +0200

mednafen (0.9.33.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 25 Mar 2014 23:48:28 +0100

mednafen (0.9.33.1-1) unstable; urgency=medium

  * New upstream release.
  * Update priority to match override.
  * Update description since this is not an experimental release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 22 Mar 2014 13:05:47 +0100

mednafen (0.9.32.1-wip-1) experimental; urgency=low

  * New upstream WIP release.
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 29 Nov 2013 23:38:53 +0100

mednafen (0.9.32-wip-1) experimental; urgency=low

  * New upstream WIP version.

 -- Stephen Kitt <skitt@debian.org>  Sat, 14 Sep 2013 00:14:39 +0200

mednafen (0.9.29-wip-1) experimental; urgency=low

  * New upstream WIP version. Follow upstream naming scheme strictly;
    thanks to Bart Martens for the discussion concerning this.
  * New watch file provided by Bart.
  * Switch to my Debian address.
  * Use canonical VCS URIs.
  * Standards-Version 3.9.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 22 Aug 2013 22:52:47 +0200

mednafen (0.9.28-1) experimental; urgency=low

  * New upstream WIP version.
  * Update debian/copyright for new SABR shader.

 -- Stephen Kitt <steve@sk2.org>  Mon, 21 Jan 2013 06:54:11 +0100

mednafen (0.9.27-1) experimental; urgency=low

  * New upstream WIP version.

 -- Stephen Kitt <steve@sk2.org>  Sat, 22 Dec 2012 15:29:44 +0100

mednafen (0.9.26-1) experimental; urgency=low

  * New upstream WIP version.
  * Change priority to "extra" to match libvorbisidec1's.
  * Drop "DM-Upload-Allowed" since it is no longer appropriate.
  * Refresh patches, replacing MPC_STATUS_FAIL constant from older mpcdec
    versions.

 -- Stephen Kitt <steve@sk2.org>  Mon, 19 Nov 2012 07:00:37 +0100

mednafen (0.9.24-1) experimental; urgency=low

  * New upstream WIP version.
  * Remove sdl-net build-dependency (no longer used).

 -- Stephen Kitt <steve@sk2.org>  Sat, 14 Jul 2012 15:23:08 +0200

mednafen (0.9.22-2) experimental; urgency=low

  * Use ${source:Package} with dpkg-query to retrieve only the package
    name in the Built-Using field (closes: #677867).

 -- Stephen Kitt <steve@sk2.org>  Mon, 18 Jun 2012 06:52:11 +0200

mednafen (0.9.22-1) experimental; urgency=low

  * New upstream WIP version (breaks Genesis/Megadrive save games).
  * Drop hardening-fixes.patch and cdromif-memset-fix.patch, merged
    upstream.

 -- Stephen Kitt <steve@sk2.org>  Wed, 30 May 2012 07:42:07 +0200

mednafen (0.9.21-2) experimental; urgency=low

  * Add a Built-Using relationship on the package MiniLZO was copied
    from.
  * Move away mpcdec and tremor at build time rather than through
    patches (this makes maintaining the patches easier).
  * Update README.source to indicate that mpcdec is now replaced as well
    as tremor.
  * Track upstream WIP versions published on sourceforge.net.

 -- Stephen Kitt <steve@sk2.org>  Wed, 16 May 2012 20:42:34 +0200

mednafen (0.9.21-1) experimental; urgency=low

  * New upstream WIP version.
  * Refresh use-system-tremor.patch and remove spelling-fixes.patch,
    gzip-1.2.6-fix.patch and shader-fix.patch (applied upstream).
  * Add use-system-mpcdec.patch to build using the Debian-provided
    libmpcdec rather than the bundled version.
  * Add cdrom-if-memset-fix.patch to fix an incorrect memset invocation
    (spotted by gcc).
  * Standard-Version 3.9.3, no change required.
  * wrap-and-sort control files.

 -- Stephen Kitt <steve@sk2.org>  Tue, 03 Apr 2012 00:05:58 +0200
