=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+liblzo2_source := $(shell dpkg-query -W -f='$${source:Package} (= $${source:Version})' liblzo2-dev)
+
 
 %:
 	dh $@ --with autoreconf
@@ -15,6 +18,10 @@
 	cp src/compress/minilzo.h src/compress/minilzo.h.orig
 	cp /usr/share/lzo/minilzo/*.[ch] src/compress
 
+	# Move bundled source code for external packages out of the way
+	mv src/mpcdec src/mpcdec.orig
+	mv src/tremor src/tremor.orig
+
 	dh_auto_build
 
 override_dh_auto_clean:
@@ -24,7 +31,14 @@
 	[ ! -f src/compress/minilzo.c.orig ] || mv src/compress/minilzo.c.orig src/compress/minilzo.c
 	[ ! -f src/compress/minilzo.h.orig ] || mv src/compress/minilzo.h.orig src/compress/minilzo.h
 
+	# Restore bundled source code
+	[ ! -d src/mpcdec.orig ] || mv src/mpcdec.orig src/mpcdec
+	[ ! -d src/tremor.orig ] || mv src/tremor.orig src/tremor
+
 	dh_auto_clean
 
 override_dh_auto_configure:
 	dh_auto_configure -- --bindir=/usr/games --enable-psx
+
+override_dh_gencontrol-arch:
+	dh_gencontrol -a -- '-Vbu:liblzo2=$(liblzo2_source)'
