=== debian/changelog ===
mednafen (0.9.36.4-1) unstable; urgency=medium

  * New upstream release.
  * Update licensing information.

 -- Stephen Kitt <skitt@debian.org>  Mon, 15 Sep 2014 23:34:04 +0200

mednafen (0.9.36.3-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 04 Aug 2014 23:55:28 +0200

mednafen (0.9.36.2-2) unstable; urgency=medium

  * libvorbisidec and libtrio are priority extra, so mednafen must be
    priority extra.
  * Build-depend on libtrio-dev 1.16 or later since that's the first
    version to build on all architectures (closes: #754709).
  * Enable parallel builds.
  * Move trio source out of the way during the build, as done for mpcdec
    and tremor.

 -- Stephen Kitt <skitt@debian.org>  Thu, 17 Jul 2014 21:00:53 +0200

mednafen (0.9.36.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 02 Jul 2014 15:09:09 +0200

mednafen (0.9.35.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 07 Jun 2014 15:55:03 +0200

mednafen (0.9.34.1-2) unstable; urgency=medium

  * Link trio with libm to hopefully build on Ubuntu.

 -- Stephen Kitt <skitt@debian.org>  Sun, 18 May 2014 22:37:51 +0200

mednafen (0.9.34.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 17 May 2014 21:36:36 +0200

mednafen (0.9.33.3-2) unstable; urgency=medium

  * Build using packaged libtrio (closes: #746817).

 -- Stephen Kitt <skitt@debian.org>  Sun, 04 May 2014 14:33:54 +0200
