=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: mednafen
 Section: games
-Priority: optional
+Priority: extra
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Build-Depends: autotools-dev,
@@ -15,6 +15,7 @@
                libsamplerate0-dev,
                libsdl1.2-dev,
                libsndfile1-dev | libsndfile-dev,
+               libtrio-dev (>= 1.16),
                libvorbisidec-dev,
                x11proto-core-dev,
                zlib1g-dev | libz-dev
