## mednafen 0.9.38.4+dfsg

=== debian/changelog ===
mednafen (0.9.38.4+dfsg-2) unstable; urgency=medium

  * Move to optional to match the overrides.
  * Correct debian/copyright.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Thu, 07 May 2015 19:49:37 +0200

mednafen (0.9.38.4+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 15 Apr 2015 20:45:24 +0200

mednafen (0.9.38.3+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 09 Mar 2015 23:42:18 +0100

mednafen (0.9.38.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Exclude PlayStation executables.

 -- Stephen Kitt <skitt@debian.org>  Sun, 22 Feb 2015 20:31:54 +0100

mednafen (0.9.38.1-1) experimental; urgency=medium

  * New upstream release.
  * Help make the build reproducible by dropping __DATE__ and __TIME__.
  * mednafen no longer uses libcdio, drop the build-dependency.

 -- Stephen Kitt <skitt@debian.org>  Mon, 16 Feb 2015 08:29:23 +0100

mednafen (0.9.37.1-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 25 Dec 2014 20:04:27 +0100

mednafen (0.9.36.5-1) experimental; urgency=medium

  * New upstream release, uploaded to expermiental for the Jessie freeze.
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 08 Nov 2014 11:36:07 +0100
